%define anolis_release 1

# disable debug info generation
%define debug_package %{nil}
# skip strip due to lacking of bpf support
%global __brp_strip %{nil}
%global __brp_strip_lto %{nil}

Name:        vtoa
Version:     2.0.0
Release:     %{anolis_release}%{?dist}
Summary:     vtoa for Alibaba Cloud
License:     Mulan PSL v2
Vendor:      Alibaba
URL:         N/A
Source0:     %{name}-%{version}.tar.gz

BuildArch:   x86_64 aarch64

Requires:    libbpf >= 0.5.0
Requires:    glibc

%description
vtoa supports cloud service server to get vid:vip:vorpt and cip:cport, compatible with toa. Kernel version must be no less than 5.10-017.
Maintained by Alibaba Cloud kernel networking Team.

%prep
%autosetup -n %{name}-%{version} -p1

%build
# There is noting to build.

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
pwd
%ifarch aarch64
cp -r aarch64/* %{buildroot}/
%endif
%ifarch x86_64
cp -r x86_64/* %{buildroot}/
%endif

%files
%dir %{_datadir}/%{name}
%{_bindir}/vtoa
%{_datadir}/%{name}/vtoa.kern.o
%{_datadir}/%{name}/vtoa.kern.old.o
%{_datadir}/%{name}/manage.sh
%{_datadir}/%{name}/start.sh
%{_datadir}/%{name}/stop.sh
%{_sysconfdir}/systemd/system/%{name}.service

%{_datadir}/%{name}/LICENSE

%post
sh %{_datadir}/%{name}/manage.sh 1

%preun
sh %{_datadir}/%{name}/manage.sh 0

%postun
rm -rf %{_datadir}/%{name}

%changelog
* Wed May 22 2024 hanqi <lulie.ll@alibaba-inc.com> - 2.0.0-1
- Init package from anolis release
